\makeatletter
\begin{titlepage}

  \begin{tikzpicture}[remember picture, overlay, shift={(current page.north east)}]
    \node[anchor=north east, xshift=-2.5mm, yshift=-4mm]{
        \includegraphics[height=32mm]{titlepage/rwth-logo}
    };
  \end{tikzpicture}

  \vspace{1cm}
  
  \begin{flushleft}

    The present work was submitted to the \institute.\\
    {\color{gray} Diese Arbeit wurde vorgelegt am \institutegerman.}

    \vfill

    \textbf{\Large\@title}

    \textbf{\Large\color{gray}\titlegerman}
  
  \end{flushleft}

  \vspace{1cm}

  {\large \degree{} Thesis}\\
  {\large\color{gray} \degree arbeit}

  \vfill
        
  \textbf{\color{darkgray}Presented by\color{gray}\ /\ Vorgelegt von}

  {\large\@author}\\
  \normalsize{\studentid}
  
  \vspace{2cm}
  
  \begin{tabbing}

    \textbf{\color{darkgray}Supervised by\color{gray}\ /\ Betreut von}\quad
    \=\supervisor
    
    \\[3\parskip]

    \textbf{\color{darkgray}1\textsuperscript{st} Examiner\color{gray}\ /\ 1. Prüfer}
    \>\firstexaminer
    
    \\[\parskip]

    \textbf{\color{darkgray}2\textsuperscript{nd} Examiner\color{gray}\ /\ 2. Prüfer}
    \>\secondexaminer

  \end{tabbing}

  \vspace{1cm}

  \begin{flushright}
    Aachen, \@date
  \end{flushright}
          
\end{titlepage}
\makeatother

\newpage\thispagestyle{empty}\null